import { request } from '/@/utils/service'
import { AddReq, DelReq, EditReq, InfoReq, UserPageQuery } from '@fast-crud/fast-crud'

export const apiPrefix = '/api/ad_manage/portfolios/'
export function GetList(query: UserPageQuery) {
	return request({
		url: apiPrefix,
		method: 'get',
		params: query,
	})
}
export function GetAllPortfolios() {
	return request({
		url: apiPrefix + 'select_list',
		method: 'get',
		params: { limit: 999 },
	})
}
export function GetObj(id: InfoReq) {
	return request({
		url: apiPrefix + id,
		method: 'get',
	})
}

export function AddObj(obj: AddReq) {
	return request({
		url: apiPrefix,
		method: 'post',
		data: obj,
	})
}

export function UpdateObj(obj: EditReq) {
	return request({
		url: apiPrefix + obj.id + '/',
		method: 'put',
		data: obj,
	})
}

export function DelObj(id: DelReq) {
	return request({
		url: apiPrefix + id + '/',
		method: 'delete',
		data: { id },
	})
}

export function getCardData(query: UserPageQuery) {
	return request({
		url: apiPrefix + 'report/amount',
		method: 'GET',
		params: query,
	})
}

export function getLineData(query: UserPageQuery) {
	return request({
		url: apiPrefix + 'report/trend/daily',
		method: 'GET',
		params: query,
	})
}

export function getLineWeekData(query: UserPageQuery) {
	return request({
		url: apiPrefix + 'report/trend/weekly',
		method: 'GET',
		params: query,
	})
}

export function getLineMonthData(query: UserPageQuery) {
	return request({
		url: apiPrefix + 'report/trend/monthly',
		method: 'GET',
		params: query,
	})
}
