import  { InfoFilled } from '@element-plus/icons-vue'

export const BaseColumn = {
  Impression: {
    title: '曝光量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被展示的次数。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>曝光量</span>
            </span>
        )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  Click: {
    title: '点击量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被点击的次数。亚马逊系统会在3天内将无效点击去除。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击量</span>
            </span>
        )
      }
    }
  },
  CTR: {
    title: '点击率',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="点击率，系统计算，点击量/曝光量。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击率</span>
            </span>
        )
      }
    }
  },
  Spend: {
    title: '花费',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
                            content="来自亚马逊广告API，亚马逊系统会在3天内将无效点击从统计数据中删除，因此过去3天内的花费可能会有所变化">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>花费</span>
            </span>
        )
      }
    }
  },
  CPC: {
    title: '点击成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="单次点击成本，系统计算，花费/点击量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击成本</span>
            </span>
        )
      }
    }
  },
  TotalPurchases: {
    title: '订单数',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单数</span>
            </span>
        )
      }
    }
  },
  TotalUnitOrdered: {
    title: '销量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销量</span>
            </span>
        )
      }
    }
  },
  TotalSales: {
    title: '销售额',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br/>出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销售额</span>
            </span>
        )
      }
    }
  },
  PurchasesRate: {
    title: '转化率',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
                            content="广告转化率，系统计算，广告订单量/点击量*100%，展示型推广vCPM成本类型的广告活动不予计算。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>转化率</span>
            </span>
        )
      }
    }
  },
  ACOS: {
    title: 'ACOS',
    column: {
      align: 'right',
      width: '120px',
      sortable: true,
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告投入产出比，系统计算，广告花费/广告带来的销售额。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ACOS</span>
            </span>
        )
      }
    }
  },
  ROAS: {
    title: 'ROAS',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告支出回报，系统计算，广告带来的销售额/广告花费。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ROAS</span>
            </span>
        )
      }
    }
  },
  CPA: {
    title: '订单成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="平均每笔订单的花费，系统计算，花费/广告订单量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单成本</span>
            </span>
        )
      }
    }
  },
}

export const SpCampaignPuchasedOtherProductsColumn = {
  TotalPurchasesOtherSKU: {
    title: '其它商品订单数',
    form: {
      show: false
    },
    column:{
      align: 'right',

    }
  },
  TotalUnitOrderedOtherSKU: {
    title: '其它商品销量',
    form: {
      show: false
    },
    column:{
      align: 'right'
    }
  },
  TotalSalesOtherSKU: {
    title: '其它商品销售额',
    form: {
      show: false
    },
    column:{
      align: 'right'
    }
  },
  PurchasesOtherSKURate: {
    title: '其它商品订单数占比',
    form: {
      show: false
    },
    column:{
      align: 'right'
    }
  },
  UnitOrderedOtherSKURate: {
    title: '其它商品销量占比',
    form: {
      show: false
    },
    column:{
      align: 'right'
    }
  },
  SalesOtherSKURate: {
    title: '其它商品销售额占比',
    form: {
      show: false
    },
    column:{
      align: 'right'
    }
  }
}

export const SbBaseColumn = {
  Impression: {
    title: '曝光量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被展示的次数。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>曝光量</span>
            </span>
      )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  TopOfSearchImpressionShare: {
    title: '搜索结果顶部展示份额',
    column: {
      align: 'right',
      sortable: true,
      width: '220px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        广告活动获得的搜索结果顶部展示量占其获得的所有符合条件的搜索结果顶部展示量的百分比。<br />
        符合条件与否由各种因素所决定，包括广告活动状态和投放状态。该指标适用于品牌推广活动和商品推广活动。<br />
        对于商品推广，该指标提供了搜索结果顶部（首页）的展示量份额。<br />
        默认展示所选时间范围内展示份额的最高值，如需查看分天的数据趋势，请点击数据详情按钮。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>搜索结果顶部展示份额</span>
            </span>
      )
      }
    }
  },
  Click: {
    title: '点击量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被点击的次数。亚马逊系统会在3天内将无效点击去除。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击量</span>
            </span>
      )
      }
    }
  },
  CTR: {
    title: '点击率',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="点击率，系统计算，点击量/曝光量。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击率</span>
            </span>
      )
      }
    }
  },
  Spend: {
    title: '花费',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
        content="来自亚马逊广告API，亚马逊系统会在3天内将无效点击从统计数据中删除，因此过去3天内的花费可能会有所变化">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>花费</span>
            </span>
      )
      }
    }
  },
  CPC: {
    title: '点击成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="单次点击成本，系统计算，花费/点击量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击成本</span>
            </span>
      )
      }
    }
  },
  TotalPurchases: {
    title: '订单数',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单数</span>
            </span>
      )
      }
    }
  },
  TotalSales: {
    title: '销售额',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br/>出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销售额</span>
            </span>
      )
      }
    }
  },
  TotalUnitOrdered: {
    title: '销量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销量</span>
            </span>
      )
      }
    }
  },
  PurchasesRate: {
    title: '转化率',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
        content="广告转化率，系统计算，广告订单量/点击量*100%，展示型推广vCPM成本类型的广告活动不予计算。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>转化率</span>
            </span>
      )
      }
    }
  },
  ACOS: {
    title: 'ACOS',
    column: {
      align: 'right',
      width: '120px',
      sortable: true,
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告投入产出比，系统计算，广告花费/广告带来的销售额。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ACOS</span>
            </span>
      )
      }
    }
  },
  ROAS: {
    title: 'ROAS',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告支出回报，系统计算，广告带来的销售额/广告花费。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ROAS</span>
            </span>
      )
      }
    }
  },
  CPA: {
    title: '订单成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="平均每笔订单的花费，系统计算，花费/广告订单量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单成本</span>
            </span>
      )
      }
    }
  },
  ViewableImpression: {
    title: '可见曝光量',
    column: {
      align: 'right',
      sortable: true,
      width: '140px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
        content="来自亚马逊广告API，符合媒体评级委员会(Media Ratings Council)可见标准的曝光量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>可见曝光量</span>
            </span>
      )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  DPV: {
    title: '商品详情页浏览次数',
    column: {
      align: 'right',
      sortable: true,
      width: '200px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="商品详情页浏览次数，来自亚马逊广告API。<br />
        在点击广告后的14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）的商品详情页浏览次数" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>商品详情页浏览次数</span>
            </span>
      )
      }
    }
  }
}

export const SdBaseColumn = {
  Impression: {
    title: '曝光量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被展示的次数。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>曝光量</span>
            </span>
        )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  Click: {
    title: '点击量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被点击的次数。亚马逊系统会在3天内将无效点击去除。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击量</span>
            </span>
        )
      }
    }
  },
  CTR: {
    title: '点击率',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="点击率，系统计算，点击量/曝光量。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击率</span>
            </span>
        )
      }
    }
  },
  Spend: {
    title: '花费',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
                            content="来自亚马逊广告API，亚马逊系统会在3天内将无效点击从统计数据中删除，因此过去3天内的花费可能会有所变化">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>花费</span>
            </span>
        )
      }
    }
  },
  CPC: {
    title: '点击成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="单次点击成本，系统计算，花费/点击量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击成本</span>
            </span>
        )
      }
    }
  },
  TotalPurchases: {
    title: '订单数',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单数</span>
            </span>
        )
      }
    }
  },
  TotalSales: {
    title: '销售额',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br/>出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销售额</span>
            </span>
        )
      }
    }
  },
  TotalUnitOrdered: {
    title: '销量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销量</span>
            </span>
        )
      }
    }
  },
  ACOS: {
    title: 'ACOS',
    column: {
      align: 'right',
      width: '120px',
      sortable: true,
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告投入产出比，系统计算，广告花费/广告带来的销售额。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ACOS</span>
            </span>
        )
      }
    }
  },
  ROAS: {
    title: 'ROAS',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告支出回报，系统计算，广告带来的销售额/广告花费。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ROAS</span>
            </span>
        )
      }
    }
  },
  CPA: {
    title: '订单成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="平均每笔订单的花费，系统计算，花费/广告订单量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单成本</span>
            </span>
        )
      }
    }
  },
  ViewImpression: {
    title: '可见曝光量',
    column: {
      align: 'right',
      sortable: true,
      width: '140px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
                            content="来自亚马逊广告API，符合媒体评级委员会(Media Ratings Council)可见标准的曝光量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>可见曝光量</span>
            </span>
        )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  VCPM: {
    title: '千次可见曝光成本',
    column: {
      align: 'right',
      sortable: true,
      width: '180px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
                            content="千次可见曝光成本，系统计算，花费/可见曝光量*1000">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>千次可见曝光成本</span>
            </span>
        )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  DPV: {
    title: '商品详情页浏览次数',
    column: {
      align: 'right',
      sortable: true,
      width: '200px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="商品详情页浏览次数，来自亚马逊广告API。<br />
        在点击广告后的14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）的商品详情页浏览次数" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>商品详情页浏览次数</span>
            </span>
        )
      }
    }
  }
}

export const SdMatchedDeliveryColumn = {
  ACOS: {
    title: 'ACOS',
    column: {
      align: 'right',
      width: '120px',
      sortable: true,
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告投入产出比，系统计算，广告花费/广告带来的销售额。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ACOS</span>
            </span>
        )
      }
    }
  },
  ROAS: {
    title: 'ROAS',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="广告支出回报，系统计算，广告带来的销售额/广告花费。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>ROAS</span>
            </span>
        )
      }
    }
  },
  Spend: {
    title: '花费',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top"
                            content="来自亚马逊广告API，亚马逊系统会在3天内将无效点击从统计数据中删除，因此过去3天内的花费可能会有所变化">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>花费</span>
            </span>
        )
      }
    }
  },
  TotalSales: {
    title: '销售额',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br/>出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售额，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的销售额；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单产生的销售额将从总销售额中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销售额</span>
            </span>
        )
      }
    }
  },
  TotalPurchases: {
    title: '订单数',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        订单数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的订单数量；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单数量和72小时内取消的订单数量将从订单总数中删除" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单数</span>
            </span>
        )
      }
    }
  },
  TotalUnitOrdered: {
    title: '销量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="
        Seller类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的7天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。<br />
        <br />
        Vendor类型店铺：<br />
        销售件数，来自亚马逊广告API。<br />
        在点击广告后的14天内（商品推广）、14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）售<br />出的广告商品及库存中其他商品的件数；<br />
        亚马逊系统此项数据最多可能延迟12小时更新。因此，“今天”日期范围内的销售数据可能会延迟。<br />
        付款失败的订单和72小时内取消的订单产生的销售件数将从销量总数中删除。" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>销量</span>
            </span>
        )
      }
    }
  },
  CPC: {
    title: '点击成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="单次点击成本，系统计算，花费/点击量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击成本</span>
            </span>
      )
      }
    }
  },
  CPA: {
    title: '订单成本',
    column: {
      align: 'right',
      sortable: true,
      width: '130px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="平均每笔订单的花费，系统计算，花费/广告订单量">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>订单成本</span>
            </span>
        )
      }
    }
  },
  Impression: {
    title: '曝光量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被展示的次数。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>曝光量</span>
            </span>
        )
      },
      formatter: (row: any) => {
        if (row.value != null) {
          return row.value
        } else {
          return '--'
        }
      }
    }
  },
  Click: {
    title: '点击量',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="来自亚马逊广告API，广告被点击的次数。亚马逊系统会在3天内将无效点击去除。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击量</span>
            </span>
        )
      }
    }
  },
  CTR: {
    title: '点击率',
    column: {
      align: 'right',
      sortable: true,
      width: '120px',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="点击率，系统计算，点击量/曝光量。">
            <span>
                <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>点击率</span>
            </span>
        )
      }
    }
  },
  DPV: {
    title: '商品详情页浏览次数',
    column: {
      align: 'right',
      sortable: true,
      width: '200px',
      border: '0.5px solid #ddd',
      renderHeader() {
        return (
            <span>
                <el-tooltip placement="top" content="商品详情页浏览次数，来自亚马逊广告API。<br />
        在点击广告后的14天内（品牌推广）、浏览或点击广告后的14天内（展示型推广）的商品详情页浏览次数" raw-content>
        <span>
        <el-icon size="14" style="display:inline-block; padding-top:2px; margin-right:3px;"><InfoFilled/></el-icon>
            </span>
            </el-tooltip>
            <span>商品详情页浏览次数</span>
            </span>
      )
      }
    }
  }
}

export function createMul(mul: any) {
  return function(number: any) {
    return number * mul
  }
}
