import { request } from '/@/utils/service'
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud'

export const apiPrefix = '/api/ad_manage/sbcampaigns/'
export function getCardData(query: UserPageQuery) {
  return request({
    url: '/api/sellers/home/total/',
    method: 'GET',
    params: query,
  })
}
export function getLineData(query: UserPageQuery) {
  query['dateRangeType'] = 'D'
  return request({
    url: apiPrefix + 'daily/',
    method: 'GET',
    params: query,
  })
}

export function getLineWeekData(query: UserPageQuery) {
  query['dateRangeType'] = 'W'
  return request({
    url: apiPrefix + 'daily/',
    method: 'GET',
    params: query,
  })
}

export function getLineMonthData(query: UserPageQuery) {
  query['dateRangeType'] = 'M'
  return request({
    url: apiPrefix + 'daily/',
    method: 'GET',
    params: query,
  })
}

export function getProductLineSelect(query) {
  return request({
    url: '/api/sellers/productline/',
    method: 'GET',
    params: query,
  })
}
export function getAllProduct(query) {
  return request({
    url: '/api/sellers/goods/all/',
    method: 'GET',
    params: query,
  })
}
export function postCreateProductLine(body) {
  return request({
    url: '/api/sellers/productline/create/',
    method: 'POST',
    data: body
  })
}
export function getProductCardData(query) {
  return request({
    url: '/api/sellers/productline/sales/',
    method: 'GET',
    params: query
  })
}
export function getProductDetail(query) {
  return request({
    url: '/api/sellers/productlinedetail/',
    method: 'GET',
    params: query
  })
}
export function postUpdateProductLine(body) {
  return request({
    url: '/api/sellers/productlinedetail/update/',
    method: 'POST',
    data: body
  })
}

